# typed: false
FactoryBot.define do
  factory :domain_post_inkbunny_post, class: "Domain::Post::InkbunnyPost" do
    sequence(:ib_id) { |n| 1 + n }
    sequence(:title) { |n| "the_post_#{n}" }
    association :creator, factory: :domain_user_inkbunny_user
    keywords do
      [
        {
          "keyword_id" => "5088",
          "contributed" => "f",
          "keyword_name" => "borzoi",
          "submissions_count" => "410",
        },
        {
          "keyword_id" => "303",
          "contributed" => "f",
          "keyword_name" => "canine",
          "submissions_count" => "193033",
        },
        {
          "keyword_id" => "3",
          "contributed" => "f",
          "keyword_name" => "dog",
          "submissions_count" => "174009",
        },
        {
          "keyword_id" => "443",
          "contributed" => "f",
          "keyword_name" => "duo",
          "submissions_count" => "20734",
        },
      ]
    end
  end
end
